require "config"

-- underground transport belt
if (BELTS) then
    require("prototypes.transport-belts.entity")
    require("prototypes.transport-belts.item")
    require("prototypes.transport-belts.tech")
    require("prototypes.transport-belts.recipe")
end
-- underground pipes
if (PIPES) then
    require("prototypes.pipes.entity")
    require("prototypes.pipes.item")
    require("prototypes.pipes.tech")
    require("prototypes.pipes.recipe")
end
-- electric poles
if (POLES) then
    require("prototypes.poles.entity")
    require("prototypes.poles.item")
    require("prototypes.poles.tech")
    require("prototypes.poles.recipe")
end

data:extend( {
    {
        type = "item-subgroup",
        name = "belt-to-ground",
        group = "logistics",
        order = "b",
    },
    {
        type = "item-subgroup",
        name = "pipe-to-ground",
        group = "logistics",
        order = "d",
    }
} )

if (BELTS) then
    data.raw.recipe["basic-transport-belt-to-ground"].subgroup = "belt-to-ground"
    data.raw.recipe["basic-transport-belt-to-ground"].order = "a[basic-transport-belt-to-ground]-a[basic-transport-belt-to-ground]"
    data.raw.recipe["fast-transport-belt-to-ground"].subgroup = "belt-to-ground"
    data.raw.recipe["fast-transport-belt-to-ground"].order = "b[fast-transport-belt-to-ground]-a[fast-transport-belt-to-ground]"
    data.raw.recipe["express-transport-belt-to-ground"].subgroup = "belt-to-ground"
    data.raw.recipe["express-transport-belt-to-ground"].order = "c[express-transport-belt-to-ground]-a[express-transport-belt-to-ground]"
    if (DYTECH) then
        data.raw.recipe["super-transport-belt-to-ground"].subgroup = "belt-to-ground"
        data.raw.recipe["super-transport-belt-to-ground"].order = "d[super-transport-belt-to-ground]-a[super-transport-belt-to-ground]"
        data.raw.recipe["extreme-transport-belt-to-ground"].subgroup = "belt-to-ground"
        data.raw.recipe["extreme-transport-belt-to-ground"].order = "e[extreme-transport-belt-to-ground]-a[extreme-transport-belt-to-ground]"
    end
end
if (PIPES) then
    data.raw.recipe["pipe-to-ground"].subgroup = "pipe-to-ground"
    data.raw.recipe["pipe-to-ground"].order = "a[pipe-to-ground]-a[pipe-to-ground]"
    data.raw.recipe["medium-pipe-to-ground"].subgroup = "pipe-to-ground"
    data.raw.recipe["medium-pipe-to-ground"].order = "b[medium-pipe-to-ground]-b[medium-pipe-to-ground]"
    data.raw.recipe["long-pipe-to-ground"].subgroup = "pipe-to-ground"
    data.raw.recipe["long-pipe-to-ground"].order = "c[long-pipe-to-ground]-c[long-pipe-to-ground]"
    data.raw.recipe["ultra-pipe-to-ground"].subgroup = "pipe-to-ground"
    data.raw.recipe["ultra-pipe-to-ground"].order = "d[ultra-pipe-to-ground]-d[ultra-pipe-to-ground]"
    data.raw.recipe["continental-pipe-to-ground"].subgroup = "pipe-to-ground"
    data.raw.recipe["continental-pipe-to-ground"].order = "e[continental-pipe-to-ground]-e[continental-pipe-to-ground]"
end