require "config"
if (DYTECH) then
    data:extend(
    {
        -- region Basic
        {
            type = "technology",
            name = "logistics-upgrade-1",
            icon = "__base__/graphics/icons/basic-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-basic-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-basic-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 1 }
                },
                time = 10
            },
            order = "1-1",
        },
        -- endregion
        -- region Fast
        {
            type = "technology",
            name = "logistics-upgrade-2",
            icon = "__base__/graphics/icons/fast-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-fast-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-fast-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-2", "logistics-upgrade-1" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 2 },
                    { "science-pack-2", 1 }
                },
                time = 20
            },
            order = "1-2",
        },
        -- endregion
        -- region Express
        {
            type = "technology",
            name = "logistics-upgrade-3",
            icon = "__base__/graphics/icons/express-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-express-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-express-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-3", "logistics-upgrade-2" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 3 },
                    { "science-pack-2", 2 },
                    { "science-pack-3", 1 }
                },
                time = 30
            },
            order = "1-3",
        },
        -- endregion
        -- region Super
        {
            type = "technology",
            name = "logistics-upgrade-4",
            icon = "__MAIN-DyTech-Machine__/graphics/transport-belts/icon/super-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-super-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-super-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-4", "logistics-upgrade-3" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 4 },
                    { "science-pack-2", 3 },
                    { "science-pack-3", 2 }
                },
                time = 35
            },
            order = "1-4",
        },
        -- endregion
        -- region Extreme
        {
            type = "technology",
            name = "logistics-upgrade-5",
            icon = "__MAIN-DyTech-Machine__/graphics/transport-belts/icon/extreme-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-extreme-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-extreme-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-5", "logistics-upgrade-4" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 5 },
                    { "science-pack-2", 4 },
                    { "science-pack-3", 3 },
                    { "alien-science-pack", 2 }
                },
                time = 40
            },
            order = "1-5",
        }
        -- endregion
    }
    )
else
    data:extend(
    {
        -- region Basic
        {
            type = "technology",
            name = "logistics-upgrade-1",
            icon = "__base__/graphics/icons/basic-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-basic-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-basic-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 1 }
                },
                time = 10
            },
            order = "1-1",
        },
        -- endregion
        -- region Fast
        {
            type = "technology",
            name = "logistics-upgrade-2",
            icon = "__base__/graphics/icons/fast-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-fast-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-fast-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-2", "logistics-upgrade-1" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 2 },
                    { "science-pack-2", 1 }
                },
                time = 20
            },
            order = "1-2",
        },
        -- endregion
        -- region Express
        {
            type = "technology",
            name = "logistics-upgrade-3",
            icon = "__base__/graphics/icons/express-transport-belt-to-ground.png",
            effects =
            {
                {
                    type = "unlock-recipe",
                    recipe = "medium-express-transport-belt-to-ground"
                },
                {
                    type = "unlock-recipe",
                    recipe = "long-express-transport-belt-to-ground"
                }
            },
            prerequisites = { "logistics-3", "logistics-upgrade-2" },
            unit =
            {
                count = 40,
                ingredients =
                {
                    { "science-pack-1", 3 },
                    { "science-pack-2", 2 },
                    { "science-pack-3", 1 }
                },
                time = 30
            },
            order = "1-3",
        },
        -- endregion
    }
    )
end